

CREATE TABLE DB_CONNECTION
(
	CONNECTION_ID BIGINT NOT NULL AUTO_INCREMENT,
	DB_NAME VARCHAR(1000) NOT NULL,
	DB_TYPE VARCHAR(50) NOT NULL,
	NAME VARCHAR(255) NOT NULL,
	DB_PASSWORD VARCHAR(50),
	DB_PORT INTEGER,
	DB_SERVER VARCHAR(100),
	DB_USER VARCHAR(50),
	ADO_CONNECTION_STRING VARCHAR(2000),
	JDBC_CONNECTION_STRING VARCHAR(2000),
  PROPERTIES VARCHAR (1000),
	USER_ID BIGINT,
	PRIMARY KEY (CONNECTION_ID),
	KEY (USER_ID)
) ENGINE = InnoDB DEFAULT CHARSET =utf8
;

